Questions tagged [ubuntu]

Questions about Cardano-related issues when using the Ubuntu operating system, or in relation to it.

Filter by
Sorted by
Tagged with
0 votes
3 answers
42 views

Installing GHC on WSL

I just installed Ubuntu on WSL for Windows 10 in order to get ready for the Marlowe Pioneers Program. I figure I will need to install GHC and Cabal next in order to install the Cardano-CLI and Marlowe-...
user avatar
0 votes
1 answer
66 views

Error with installing cardano-wallet on Ubuntu

I'm using Ubuntu 20.04 and trying to install cardano-wallet with this guide. I tried a few times and every time I got this error: ouroboros-consensus-byron > Registering library for ...
user avatar
  • 21
1 vote
2 answers
29 views

One node surprisingly running out of disk space

I had two cardano-node instances running via kvm on one physical machine. Both nodes were running on mainnet for a while before I switched them over to testnet (to prepare for turning these into a ...
user avatar
  • 1,498
0 votes
1 answer
68 views

Cardano DB Sync - RTS Options

After successfully with previous question, where I tried to make cardano-node and cardano-db-sync run as a services, I tried to play around with +RTS ... -RTS option on cardano-db-sync, specifically ...
user avatar
  • 45
3 votes
1 answer
122 views

Cardano DB Sync as Service (running on background) on Ubuntu

Linux/Ubuntu - Cardano newbie, want to ask things around! :) At the moment, I'm successfully installed cardano-node and can make it run as a service (pulling data automatically on the background), by ...
user avatar
  • 45
0 votes
1 answer
31 views

Run a node virtually that can be accessed from different machines

I am trying to run a cardano node, however I am not sure of the best way to go about it. My goal is to create a cardano wallet through python on my own machine. I want to run a cardano node on a VM, ...
user avatar
  • 40
1 vote
2 answers
132 views

Trouble fulfilling: base, libsystemd-journal, lobemo-scribe-systemd

2 days stucked with this (running on Ubuntu): [nix-shell:~/plutus-pioneer-program/code/week01]$ cabal build Warning: Requested index-state 2021-10-20T00:00:00Z is newer than 'hackage.haskell.org'! ...
user avatar
-2 votes
1 answer
33 views

Wil I habe Problems with VirtualMachine?

I have a question: will I have problems installing Nix or Haskell on an Ubuntu VirtualMachine over Win11? Will I have problems with Plutus in the future? Would it be better to install Ubuntu only on ...
user avatar
0 votes
1 answer
156 views

Error when installing nix : the group 'nixbld' specified in 'build-users-group' does not exist

I am trying to install nix/plutus following the below instructions : https://docs.plutus-community.com/docs/setup/Ubuntu.html The first step to install curl when fine. I get below error when ...
user avatar
  • 100
2 votes
1 answer
284 views

How to upgrade my Cardano node to version 1.30.1 from a Coincashew install?

I installed and configured my node by following the tutorial from Coincashew. Currently running with version 1.29.0, could someone give a procedure to upgrade my node to the higher version safely?
user avatar
5 votes
1 answer
56 views

Choosing Ubuntu over WSL for Plutus development

I use a low end laptop as my daily driver running a WSL Ubuntu-20.04 as my platform of choice. When trying to run the plutus-playground it often crashes. Should I try using Ubuntu or any other Linux ...
user avatar
3 votes
3 answers
114 views

Daedalus on Ubuntu 20.04 cannot contact the network

I am unable to connect to the Daedalus mainnet for over four days now. The time sync is correct, so that is not the issue. Running Ubuntu 20.04, and have not had this problem for a very long time. I ...
user avatar
  • 33
7 votes
1 answer
346 views

Problem when starting a nix-shell in the plututs repo [duplicate]

I was doing the plutus pioneer program and ran into an error when starting a nix-shell at the top-level directory of the plutus-repository. I ran into the same error on Ubuntu 20.04.2 LTS (GNU/Linux ...
user avatar
  • 150
7 votes
1 answer
180 views

Plutus Pioneer Program - Lecture #1 Problem with cabal build

I ran into this dependencies error on Ubuntu when I try to build the English Auction, does anyone have an idea how to solve it ? Please switch to using either the new project style and the new-build ...
user avatar
  • 150